<template>
  <v-layer>
    <GraphicLink v-for="(link, i) in links" :index="i" :link="link" :key="`node-${link.id}`" />
  </v-layer>
</template>

<script lang="ts">
import { PropType } from "vue"
import { LinkWrapper } from "@/lib/gui/wrappers/LinkWrapper"
import GraphicLink from "@/components/GraphicLink.vue"

export default {
  name: "NodesLayer",
  components: { GraphicLink },
  props: {
    links: {
      type: Array as PropType<LinkWrapper[]>,
      default: []
    },
  }
}
</script>